;
; VTL-2 SONG LOADER - BY DAVE HASSLER, '23
; FOR MUSICBOX LOADED AT $0100
;
; This loads to the middle of VTL-2Cu's input buffer (safe)
;
; The song location table is set for the game "Borg Attack".
;

* = $0280
	CLD		; just because
	STA $17E5	; the PAL versions of VTL-2
	STY $17E6	; temp stores A and Y here
	TXA		; move the passed value to A
	ASL		; x2
	TAX		; back to X
	LDA TABLE,X	; get song no. X's lsb
	STA $018F	; MB lsb
	INX		; bump X
	LDA TABLE,X	; get song no. X's msb
	STA $0190	; MB msb
	JSR $0100	; MB start
	LDA $17E5	; restore A and Y
	LDY $17E6
	RTS		; back to calling VTL-2 program

RESET			; reset all I/O,
	LDA #$FE	; ports A and B
	STA $1740
	LDA #$00
	STA $1741
	LDA #$47
	STA $1742
	LDA #$3F
	STA $1743
	RTS

; song addresses

TABLE
.BYTE $00,$00,$D0,$02,$D9,$02,$E2,$02
.BYTE $EB,$02,$F4,$02,$80,$17,$86,$17
.BYTE $9E,$17,$C0,$17,$00,$00,$1F,$00,$2A,$00

0280: D8 8D E5 17 8C E6 17 8A
0288: 0A AA BD B6 02 8D 8F 01
0290: E8 BD B6 02 8D 90 01 20
0298: 00 01 AD E5 17 AC E6 17
02A0: 60 A9 FE 8D 40 17 A9 00
02A8: 8D 41 17 A9 47 8D 42 17
02B0: A9 3F 8D 43 17 60 00 00
02B8: D0 02 D9 02 E2 02 EB 02
02C0: F4 02 80 17 86 17 9E 17
02C8: C0 17 00 00 1F 00 2A 00
